<!-- <h2>Here</h2>
<li>{{employees["data"][0].name|json}}</li> -->
<div class="flex">
  <button class="register-button" (click)="openRegistrationDialog()">Register</button>
  <button class="register-button" (click)="viewManager()">View managers</button>
</div>

<table>
    <thead>
      <tr>
        <th>Emp ID</th>
        <th>Name</th>
        <th>Email</th>
        <th>Date of Birth</th>
        <th>Mobile</th>
        <th>Actions</th>
      </tr>
    </thead>
    <tbody>

      <tr *ngFor="let employee of employees['data'] ">
        
        <td>{{ employee.empId }}</td>
        <td>{{ employee.name }}</td>
        <td>{{ employee.email }}</td>
        <td>{{ employee.dob }}</td>
        <td>{{ employee.mobile }}</td>
        <td>
          <div class="action">
            <button (click)="deleteEmployee(employee._id)">Delete</button>
          <button (click)="openEditModal(employee)">Edit</button>
          </div>
          
        </td>
      </tr>
    </tbody>
  </table>
  
  <!-- Edit Modal -->
  <div *ngIf="isEditModalOpen" class="modal">
    <div class="modal-content">
      <h2>Edit Employee</h2>
      <form [formGroup]="editForm" (ngSubmit)="onSubmit()">
        <div>
          <label>Emp ID</label>
          <input type="text" formControlName="empId" readonly>
        </div>
        <div>
          <label>Name</label>
          <input type="text" formControlName="name">
        </div>
        <div>
          <label>Date of Birth</label>
          <input type="text" formControlName="dob">
        </div>
        <div>
          <label>Mobile</label>
          <input type="text" formControlName="mobile">
        </div>
        <button type="submit">Update</button>
      </form>
    </div>
  </div>
  